/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			AnimateFrame.h
//		DESCRIPTION:	interface for the CAnimateFrame class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_ANIMATEFRAME_H__F77B614D_6D4E_4ED8_9988_F3F3E8492348__INCLUDED_)
#define AFX_ANIMATEFRAME_H__F77B614D_6D4E_4ED8_9988_F3F3E8492348__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AnimateView.h"


//***************************************************************************
//                            CAnimateFrame CLASS
//***************************************************************************

class CAnimateFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CAnimateFrame)

private:

	CAnimateView m_wndView;

protected:

	CAnimateFrame();
	virtual ~CAnimateFrame();

public:

	//{{AFX_VIRTUAL(CAnimateFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CAnimateFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnFileClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_ANIMATEFRAME_H__F77B614D_6D4E_4ED8_9988_F3F3E8492348__INCLUDED_)

//=================================== EOF ===================================
