/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ChildFrm.h
//		DESCRIPTION:	interface for the CChildFrame class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_CHILDFRM_H__A62F2001_4D2B_4285_9B9B_9EF4C718402E__INCLUDED_)
#define AFX_CHILDFRM_H__A62F2001_4D2B_4285_9B9B_9EF4C718402E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"


//***************************************************************************
//                             CChildFrame CLASS
//***************************************************************************

class CChildFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CChildFrame)

private:

	CChildView m_wndView;

public:

	CChildFrame();
	virtual ~CChildFrame();

public:

	//{{AFX_VIRTUAL(CChildFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CChildFrame)
	afx_msg void OnFileClose();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Debug ----------------------------------------------------------------

#ifdef _DEBUG
public:
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CHILDFRM_H__A62F2001_4D2B_4285_9B9B_9EF4C718402E__INCLUDED_)

//=================================== EOF ===================================
