/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditEqConeDlg.h
//		DESCRIPTION:	interface for the CEditEqConeDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITEQCONEDLG_H__FEAB94EF_BD6D_4F8F_B69F_05CD82CD69F9__INCLUDED_)
#define AFX_EDITEQCONEDLG_H__FEAB94EF_BD6D_4F8F_B69F_05CD82CD69F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Earthquake.h"


//***************************************************************************
//                           CEditEqConeDlg CLASS
//***************************************************************************

class CEditEqConeDlg : public CDialog, public CEarthquakeCone
{
public:

	CEditEqConeDlg(long aID, CWnd* pParent = NULL); 

	//{{AFX_DATA(CEditEqConeDlg)
	enum { IDD = IDD_EDIT_EQ_CONE };
	CString	m_strDescription;
	double	m_dMaxVelocity;
	double	m_dMinPeriod;
	double	m_dMaxPeriod;
	double	m_dTotalTime;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditEqConeDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditEqConeDlg)
	virtual void OnOK();
	afx_msg void OnButtonTimeHistory();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITEQCONEDLG_H__FEAB94EF_BD6D_4F8F_B69F_05CD82CD69F9__INCLUDED_)

//=================================== EOF ===================================
