/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemAFMSDlg.h
//		DESCRIPTION:	interface for the CEditIsoSystemAFMSDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITISOSYSTEMAFMSDLG_H__51C8FD34_159B_474B_BFC9_4F28A0D5E771__INCLUDED_)
#define AFX_EDITISOSYSTEMAFMSDLG_H__51C8FD34_159B_474B_BFC9_4F28A0D5E771__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IsoSystem.h"


//***************************************************************************
//                      CEditIsoSystemAFMSDlg CLASS
//***************************************************************************

class CEditIsoSystemAFMSDlg : public CDialog, public CIsoSystemAFMS
{
public:

	CEditIsoSystemAFMSDlg(long aID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditIsoSystemAFMSDlg)
	enum { IDD = IDD_EDIT_ISO_SYSTEM_AFMS };
	CString	m_strDescription;
	double	m_dNaturalFriction;
	double	m_dCoeffN;
	double	m_dVRad0;
	double	m_dVRad1;
	double	m_dVRad2;
	double	m_dVRad3;
	double	m_dVRad4;
	double	m_dVRad5;
	double	m_dVRad6;
	double	m_dVRad7;
	double	m_dVRad8;
	double	m_dVRad9;
	double	m_dHRad0;
	double	m_dHRad1;
	double	m_dHRad2;
	double	m_dHRad3;
	double	m_dHRad4;
	double	m_dHRad5;
	double	m_dHRad6;
	double	m_dHRad7;
	double	m_dHRad8;
	double	m_dHRad9;
	int		m_iType;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditIsoSystemAFMSDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditIsoSystemAFMSDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITISOSYSTEMAFMSDLG_H__51C8FD34_159B_474B_BFC9_4F28A0D5E771__INCLUDED_)

//=================================== EOF ===================================
