/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemSlidingDlg.h
//		DESCRIPTION:	interface for the CEditIsoSystemSlidingDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITISOSYSTEMSLIDINGDLG_H__45B7FAB4_2A8A_4312_9957_064B1391C442__INCLUDED_)
#define AFX_EDITISOSYSTEMSLIDINGDLG_H__45B7FAB4_2A8A_4312_9957_064B1391C442__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IsoSystem.h"


//***************************************************************************
//                     CEditIsoSystemSlidingDlg CLASS
//***************************************************************************

class CEditIsoSystemSlidingDlg : public CDialog, public CIsoSystemSliding
{
public:

	CEditIsoSystemSlidingDlg(long aID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditIsoSystemSlidingDlg)
	enum { IDD = IDD_EDIT_ISO_SYSTEM_SLIDING };
	CString	m_strDescription;
	double	m_dNaturalFriction;
	double	m_dRadius;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditIsoSystemSlidingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditIsoSystemSlidingDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITISOSYSTEMSLIDINGDLG_H__45B7FAB4_2A8A_4312_9957_064B1391C442__INCLUDED_)

//=================================== EOF ===================================
