/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EqTimeHistoryFrame.h
//		DESCRIPTION:	interface for the CEqTimeHistoryFrame class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EqTimeHistoryFrame_H__78AB9F48_B5A2_4B40_9544_C665DA93B867__INCLUDED_)
#define AFX_EqTimeHistoryFrame_H__78AB9F48_B5A2_4B40_9544_C665DA93B867__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EqTimeHistoryView.h"


//***************************************************************************
//                        CEqTimeHistoryFrame CLASS
//***************************************************************************

class CEqTimeHistoryFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CEqTimeHistoryFrame)

private:

	CEqTimeHistoryView m_wndView;

protected:

	CEqTimeHistoryFrame();
	virtual ~CEqTimeHistoryFrame();

public:

	//{{AFX_VIRTUAL(CEqTimeHistoryFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEqTimeHistoryFrame)
	afx_msg void OnFileClose();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// Debug ----------------------------------------------------------------

#ifdef _DEBUG
public:
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EqTimeHistoryFrame_H__78AB9F48_B5A2_4B40_9544_C665DA93B867__INCLUDED_)

//=================================== EOF ===================================
