/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EqTimeHistoryView.h
//		DESCRIPTION:	interface for the CEqTimeHistoryView class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EQTIMEHISTORYVIEW_H__05D404BA_EDA5_44F8_A62A_A058ECF4E901__INCLUDED_)
#define AFX_EQTIMEHISTORYVIEW_H__05D404BA_EDA5_44F8_A62A_A058ECF4E901__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Earthquake.h"
#include "Graph.h"


//***************************************************************************
//                         CEqTimeHistoryView CLASS
//***************************************************************************

class CEqTimeHistoryView : public CWnd
{
	CEarthquake* m_pEarthquake;
	CGraph m_Graph;

	static CFont m_Font;

public:

	CEqTimeHistoryView();
	virtual ~CEqTimeHistoryView();

public:

	//{{AFX_VIRTUAL(CEqTimeHistoryView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEqTimeHistoryView)
	afx_msg void OnPaint();
	afx_msg void OnPrint();
	afx_msg void OnUpdatePrint(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:

	void OnDraw(CDC* aDC);
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EQTIMEHISTORYVIEW_H__05D404BA_EDA5_44F8_A62A_A058ECF4E901__INCLUDED_)

//=================================== EOF ===================================
