/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListProjects.h
//		DESCRIPTION:	interface for the CListProjectsDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_LISTPROJECTS_H__2EF2E886_3D4F_4FCF_8673_6FB8C8710FFA__INCLUDED_)
#define AFX_LISTPROJECTS_H__2EF2E886_3D4F_4FCF_8673_6FB8C8710FFA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"


//***************************************************************************
//                         CListProjectsDlg CLASS
//***************************************************************************

class CListProjectsDlg : public CDialog
{
	bool m_bOpenProject;
	long m_lSelProjectID;

public:

	CListProjectsDlg(bool aOpenProject, CWnd* pParent);

	inline long GetSelProjectID() const { return m_lSelProjectID; }

	//{{AFX_DATA(CListProjectsDlg)
	enum { IDD = IDD_LIST_PROJECTS };
	CButton	m_buttonAdd;
	CListCtrlEx	m_listCtrl;
	CButton	m_buttonDelete;
	CButton	m_buttonEdit;
	CButton	m_buttonOk;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CListProjectsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CListProjectsDlg)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClickListProjects(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListProjects(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetListCtrlItem(long aItem);
	void UpdateCtrlState();
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_LISTPROJECTS_H__2EF2E886_3D4F_4FCF_8673_6FB8C8710FFA__INCLUDED_)

//=================================== EOF ===================================
