/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListSecondarySystemsDlg.h
//		DESCRIPTION:	interface for the CListSecondarySystemsDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_LISTSECONDARYSYSTEMSDLG_H__1243001C_963E_4192_B643_648BBED55A71__INCLUDED_)
#define AFX_LISTSECONDARYSYSTEMSDLG_H__1243001C_963E_4192_B643_648BBED55A71__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"


//***************************************************************************
//                     CListSecondarySystemsDlg CLASS
//***************************************************************************

class CListSecondarySystemsDlg : public CDialog
{
public:

	CListSecondarySystemsDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CListSecondarySystemsDlg)
	enum { IDD = IDD_LIST_SECONDARY_SYSTEMS };
	CButton	m_buttonEdit;
	CButton	m_buttonDelete;
	CListCtrlEx	m_listCtrl;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CListSecondarySystemsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CListSecondarySystemsDlg)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	afx_msg void OnClickListSecSystems(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkListSecSystems(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetListCtrlItem(long aItem);
	void UpdateCtrlState();
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_LISTSECONDARYSYSTEMSDLG_H__1243001C_963E_4192_B643_648BBED55A71__INCLUDED_)

//=================================== EOF ===================================
