/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			OpenDatabaseDlg.cpp
//		DESCRIPTION:	implementation of the COpenDatabaseDlg class
//
/////////////////////////////////////////////////////////////////////////////


#include "stdafx.h"
#include "EPET.h"
#include "OpenDatabaseDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


//***************************************************************************
//                          COpenDatabaseDlg CLASS
//***************************************************************************

CString COpenDatabaseDlg::m_strDatabaseName;
CString COpenDatabaseDlg::m_strUserName;
CString COpenDatabaseDlg::m_strPassword;
BOOL COpenDatabaseDlg::m_bReadOnly = FALSE;

BEGIN_MESSAGE_MAP(COpenDatabaseDlg, CDialog)
	//{{AFX_MSG_MAP(COpenDatabaseDlg)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
COpenDatabaseDlg::COpenDatabaseDlg(CWnd* pParent) : 
CDialog(COpenDatabaseDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COpenDatabaseDlg)
	//}}AFX_DATA_INIT
}

/////////////////////////////////////////////////////////////////////////////
void COpenDatabaseDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COpenDatabaseDlg)
	DDX_Text(pDX, IDC_DATABASE_NAME, m_strDatabaseName);
	DDX_Text(pDX, IDC_PASSWORD, m_strPassword);
	DDX_Check(pDX, IDC_READ_ONLY, m_bReadOnly);
	DDX_Text(pDX, IDC_USER_NAME, m_strUserName);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
void COpenDatabaseDlg::OnBrowse() 
{
	static char BASED_CODE szFilter[] = "Microsoft Access Files (*.mdb)|*.mdb|All Files (*.*)|*.*||";
	CFileDialog dlg(TRUE, NULL, m_strDatabaseName, 0, szFilter, this);

	if (dlg.DoModal() == IDOK)
	{
		m_strDatabaseName = dlg.GetPathName();
		UpdateData(FALSE);
	}
}

//=================================== EOF ===================================
