/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			OpenDatabaseDlg.h
//		DESCRIPTION:	interface for the COpenDatabaseDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_OPENDATABASEDLG_H__45957167_B969_49EF_A656_E1D796DDB108__INCLUDED_)
#define AFX_OPENDATABASEDLG_H__45957167_B969_49EF_A656_E1D796DDB108__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//***************************************************************************
//                          COpenDatabaseDlg CLASS
//***************************************************************************

class COpenDatabaseDlg : public CDialog
{
public:

	COpenDatabaseDlg(CWnd* pParent = NULL);

	static const char* GetDatabaseName() { return m_strDatabaseName; }
	static const char* GetUserName() { return m_strUserName; }
	static const char* GetPassword() { return m_strPassword; }
	static bool IsReadOnly() { return m_bReadOnly == TRUE; }

	static void SetDatabaseName(const char* aValue) { m_strDatabaseName = aValue; }
	static void SetUserName(const char* aValue) { m_strUserName = aValue; }
	static void SetPassword(const char* aValue) { m_strPassword = aValue; }
	static void SetReadOnly(bool aValue) { m_bReadOnly = aValue; }

	//{{AFX_DATA(COpenDatabaseDlg)
	enum { IDD = IDD_OPEN_DATABASE };
	static CString	m_strDatabaseName;
	static CString	m_strPassword;
	static BOOL	m_bReadOnly;
	static CString	m_strUserName;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(COpenDatabaseDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(COpenDatabaseDlg)
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_OPENDATABASEDLG_H__45957167_B969_49EF_A656_E1D796DDB108__INCLUDED_)

//=================================== EOF ===================================
