/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditEqRealDlg.h
//		DESCRIPTION:	interface for the CEditEqRealDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITEQREALDLG_H__5A681EA8_6186_4A7F_9D9F_EA248615146F__INCLUDED_)
#define AFX_EDITEQREALDLG_H__5A681EA8_6186_4A7F_9D9F_EA248615146F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Earthquake.h"


//***************************************************************************
//                           CEditEqRealDlg CLASS
//***************************************************************************

class CEditEqRealDlg : public CDialog, public CEarthquakeReal
{
public:

	CEditEqRealDlg(long aID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditEqRealDlg)
	enum { IDD = IDD_EDIT_EQ_REAL };
	CString	m_strDescription;
	CString	m_strEqName;
	CString	m_strStationName;
	CString	m_strStationID;
	CString	m_strAccelID;
	double	m_dDamping;
	double	m_dDepth;
	double	m_dLatitude;
	double	m_dLongitude;
	double	m_dMagnitude;
	double	m_dSensitivity;
	double	m_dTotalTime;
	double	m_dTransNaturalPeriod;
	CTime	m_timeCtrl;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditEqRealDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditEqRealDlg)
	afx_msg void OnCloseupDatetimepicker(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonTimeHistory();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITEQREALDLG_H__5A681EA8_6186_4A7F_9D9F_EA248615146F__INCLUDED_)

//=================================== EOF ===================================
