/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditIsoSystemShearDlg.h
//		DESCRIPTION:	interface for the CEditIsoSystemShearDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITISOSYSTEMSHEARDLG_H__5B5392B0_E92B_445A_8268_1FC565F909B6__INCLUDED_)
#define AFX_EDITISOSYSTEMSHEARDLG_H__5B5392B0_E92B_445A_8268_1FC565F909B6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "IsoSystem.h"


//***************************************************************************
//                      CEditIsoSystemShearDlg CLASS
//***************************************************************************

class CEditIsoSystemShearDlg : public CDialog, public CIsoSystemShear
{
public:

	CEditIsoSystemShearDlg(long aID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditIsoSystemShearDlg)
	enum { IDD = IDD_EDIT_ISO_SYSTEM_SHEAR };
	CString	m_strDescription;
	int		m_iType;
	double	m_dDampingRatio;
	double	m_dCoeffA;
	double	m_dCoeffB;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditIsoSystemShearDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditIsoSystemShearDlg)
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITISOSYSTEMSHEARDLG_H__5B5392B0_E92B_445A_8268_1FC565F909B6__INCLUDED_)

//=================================== EOF ===================================
