/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			EditSecondarySystemDlg.h
//		DESCRIPTION:	interface for the CEditSecondarySystemDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_EDITSECONDARYSYSTEMDLG_H__79F685EF_9FE8_4402_814F_7E11F91B5CDA__INCLUDED_)
#define AFX_EDITSECONDARYSYSTEMDLG_H__79F685EF_9FE8_4402_814F_7E11F91B5CDA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SecSystem.h"


//***************************************************************************
//                     CEditSecondarySystemDlg CLASS
//***************************************************************************

class CEditSecondarySystemDlg : public CDialog, public CSecSystem
{
public:

	CEditSecondarySystemDlg(long aSecSystemID, CWnd* pParent = NULL);

	//{{AFX_DATA(CEditSecondarySystemDlg)
	enum { IDD = IDD_EDIT_SECONDARY_SYSTEM };
	CComboBox	m_cboxFloors;
	CComboBox	m_cboxBuildings;
	CString	m_strDescription;
	double	m_dMass;
	double	m_dDampingRatio;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CEditSecondarySystemDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CEditSecondarySystemDlg)
	afx_msg void OnSelchangeComboBuilding();
	afx_msg void OnSelchangeComboFloor();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void UpdateFloorCombo(long aIndex);
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_EDITSECONDARYSYSTEMDLG_H__79F685EF_9FE8_4402_814F_7E11F91B5CDA__INCLUDED_)

//=================================== EOF ===================================
