/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListBuildingsDlg.h
//		DESCRIPTION:	interface for the CListBuildingsDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_LISTBUILDINGDLG_H__D245107C_1008_49AA_A3BD_41388127C3FF__INCLUDED_)
#define AFX_LISTBUILDINGDLG_H__D245107C_1008_49AA_A3BD_41388127C3FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"


//***************************************************************************
//                        CListBuildingsDlg CLASS
//***************************************************************************

class CListBuildingsDlg : public CDialog
{
public:

	CListBuildingsDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CListBuildingsDlg)
	enum { IDD = IDD_LIST_BUILDINGS };
	CButton	m_buttonEdit;
	CButton	m_buttonDelete;
	CListCtrlEx	m_listCtrl;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CListBuildingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CListBuildingsDlg)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	afx_msg void OnClickListBuildings(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkListBuildings(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetListCtrlItem(long aItem);
	void UpdateCtrlState();
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_LISTBUILDINGDLG_H__D245107C_1008_49AA_A3BD_41388127C3FF__INCLUDED_)

//=================================== EOF ===================================
