/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListEarthquakeDlg.h
//		DESCRIPTION:	interface for the CListEarthquakesDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_LISTEARTHQUAKEDLG_H__E859E0EA_7F0F_456C_89EE_B624703C4848__INCLUDED_)
#define AFX_LISTEARTHQUAKEDLG_H__E859E0EA_7F0F_456C_89EE_B624703C4848__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"


//***************************************************************************
//                       CListEarthquakesDlg CLASS
//***************************************************************************

class CListEarthquakesDlg : public CDialog
{
// Construction
public:
	CListEarthquakesDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CListEarthquakesDlg)
	enum { IDD = IDD_LIST_EARTHQUAKES };
	CListCtrlEx	m_listCtrl;
	CButton	m_buttonEdit;
	CButton	m_buttonDelete;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CListEarthquakesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CListEarthquakesDlg)
	afx_msg void OnButtonDelete();
	afx_msg void OnClickListEarhquakes(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListEarhquakes(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonAddCone();
	afx_msg void OnButtonAddReal();
	afx_msg void OnButtonEdit();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetListCtrlItem(long aItem);
	void UpdateCtrlState();
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_LISTEARTHQUAKEDLG_H__E859E0EA_7F0F_456C_89EE_B624703C4848__INCLUDED_)

//=================================== EOF ===================================
