/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ListIsolationSystemsDlg.h
//		DESCRIPTION:	interface for the CListIsolationSystemsDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_LISTISOLATIONSYSTEMSDLG_H__9397CEC1_F840_4366_83F9_DBDBAAD4BABA__INCLUDED_)
#define AFX_LISTISOLATIONSYSTEMSDLG_H__9397CEC1_F840_4366_83F9_DBDBAAD4BABA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"


//***************************************************************************
//                     CListIsolationSystemsDlg CLASS
//***************************************************************************

class CListIsolationSystemsDlg : public CDialog
{
public:

	CListIsolationSystemsDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CListIsolationSystemsDlg)
	enum { IDD = IDD_LIST_ISOLATION_SYSTEMS };
	CButton	m_buttonDelete;
	CButton	m_buttonEdit;
	CListCtrlEx	m_listCtrl;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CListIsolationSystemsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	//{{AFX_MSG(CListIsolationSystemsDlg)
	afx_msg void OnButtonAddAfms();
	afx_msg void OnButtonAddShear();
	afx_msg void OnButtonAddSliding();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonDelete();
	afx_msg void OnClickListIsoSystems(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListIsoSystems(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SetListCtrlItem(long aItem);
	void UpdateCtrlState();
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_LISTISOLATIONSYSTEMSDLG_H__9397CEC1_F840_4366_83F9_DBDBAAD4BABA__INCLUDED_)

//=================================== EOF ===================================
