/////////////////////////////////////////////////////////////////////////////
//
//	Copyright  VALENTIN SHUSTOV 2006. All Rights Reserved.
//
//		FILE:			ViewEqConeTimeHistoryDlg.h
//		DESCRIPTION:	interface for the CViewEqConeTimeHistoryDlg class
//
/////////////////////////////////////////////////////////////////////////////


#if !defined(AFX_VIEWEQCONETIMEHISTORY_H__0C25A5D8_FE8B_4B31_B41A_2C174FFAAB58__INCLUDED_)
#define AFX_VIEWEQCONETIMEHISTORY_H__0C25A5D8_FE8B_4B31_B41A_2C174FFAAB58__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Earthquake.h"
#include "ListCtrlEx.h"
#include "Graph.h"


//***************************************************************************
//                      CViewEqConeTimeHistoryDlg CLASS
//***************************************************************************

class CViewEqConeTimeHistoryDlg : public CDialog
{
	CEarthquakeCone& m_EqCone;
	CGraph m_Graph;

public:
	CViewEqConeTimeHistoryDlg(CEarthquakeCone& aEqCone, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CViewEqConeTimeHistoryDlg)
	enum { IDD = IDD_VIEW_EQ_CONE_HISTORY };
	CListCtrlEx	m_listCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewEqConeTimeHistoryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CViewEqConeTimeHistoryDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonImport();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_VIEWEQCONETIMEHISTORY_H__0C25A5D8_FE8B_4B31_B41A_2C174FFAAB58__INCLUDED_)

//=================================== EOF ===================================
